import {select, json, geoMercator, scaleLinear, geoPath, zoom, event, tsv} from 'd3';
import {feature} from 'topojson';

const svg = select('svg');

const projection = geoMercator();

const pathGenerator = geoPath().projection(projection);


var color = d3.scaleLinear()
    .domain([0, 1450000000])
    .range(["#de1400", "#540612"]);

const zoomed = () => {
	svg.selectAll('path').attr('transform', event.transform);
}

svg.call(zoom().on('zoom', zoomed));

var countriesN = {};

tsv('https://unpkg.com/world-atlas@1.1.4/world/50m.tsv')
  .then(data => {
		console.log(data);
  	data.forEach(d => {
    	countriesN[d.iso_n3] = d;
    });
  console.log(countriesN);
}
)

setTimeout(() => {
  console.log("Delayed for 1 second.");
}, 1000);// should handle multiple promises.


// On va chercher des données de la planète.
json('https://unpkg.com/world-atlas@1.1.4/world/50m.json')
  .then(data => {
  	console.log(data);
  const countries = feature(data, data.objects.countries);	
  console.log(countries.features);
	svg.selectAll('path').data(countries.features)
  	.enter().append('path')
  	.attr('class', 'country')
  	.attr('d', pathGenerator)
    			.attr('fill', d => color(countriesN[d.id].pop_est))
  .append('title').text(d => countriesN[d.id].name); 
